Subject: Re: [netlmm] DHCP Scenarios in draft-ietf-netlmm-pmip6-ipv4-support

From: "Damic, Damjan" <[email-masked]>
Date: Mon, 27 Oct 2008 12:37:06 +0100

Hi Ryuji & Vijay,

Your assumptions on PMIPv6 work in Wimax Forum are partly right.
The v4 support is the integral part of PMIPv6 feature currently being
developed, but not completed yet as there's a number of dependencies and
considerations to take into account.

For one, use of DHCP proxy in is considered a legacy approach in Wimax,
and would be preferred by some folks (probably even majority). On the
other hand, alignment of functional design against the 3GPP model is a
significant requirement. Bottom line, Wimax forum has not discarded any
of the options, and still considers both DHCP Proxy and Relay solution
as valid (complexity and redundancy issues aside).

Your inputs and concerns posted on the netlmm ML are definitely
valuable, as well as the upcoming IETF v4-support RFC will probably have
impact towards the feature design in both SDOs mentioned above. On a
personal note, I don't think the Proxy option will get disregarded even
if it doesn't get captured in the RFC.

With kind regards,
Damjan

>From: Ryuji Wakikawa <[email-masked]>
>Subject: Re: [netlmm] DHCP Scenarios in
>	draft-ietf-netlmm-pmip6-ipv4-support
>To: Vijay Devarapalli <[email-masked]>
>Cc: [email-masked]
>
>Hi Vijay,
>
>Do you think WiMAX forum will put DHCP relay for v4 support on PMIP6?
>They have DHCP proxy on every ASN-GW and will not extend it for PMIP- 
>v4 support ?
>Will ASN-GW have both DHCP relay and server functions? I don't see  
>good reason for that.
>
>ryuji
>
>
>On 2008/10/25, at 2:28, Vijay Devarapalli wrote:
>
>> Hi Ryuji,
>>
>> Current WiMAX specifications talk about a "DHCP proxy" on 
>the ASN GW  
>> for
>> PMIPv4. Not PMIPv6. If there is a need for this scenario, we can  
>> revisit
>> and standardize it separately. For now, I think we should 
>simplify the
>> PMIPv6 IPv4 support document by having just one scenario described in
>> it.
>>
>> Vijay
>>
>> Ryuji Wakikawa wrote:
>>> Hi Vijay,
>>>
>>> Thanks for comments.
>>>
>>> When we have discussed possible DHCP scenarios (We originally had 4
>>> different scenarios) in DT, the DHCP server co-located with MAG were
>>> kept for WiMAX deployments. I am not following WiMAX forum network
>>> design so much, but I've remembered somebody mentioned that WiMAX  
>>> uses
>>> "virtual? DHCP server" running on MAG to interact with MS.
>>>
>>> Thus, I thought we had deployment need for this scenario.
>>>
>>> Are there some network design changes in WiMAX forum?
>>>
>>> regards,
>>> ryuji
_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm